#ifndef REMOTESENSE_H
#define REMOTESENSE_H

//#define CC2420 0
#define BASE_STATION 0
#define IRIS

#define DATA_FREQUENCY 50
#define WAIT_TIME 20
#define RADIO_BUFF_SIZE 4

enum am_types {
	AM_DATA_MSG = 1,
	AM_SERIALDATA_MSG,
} am_types;


typedef nx_struct data_msg {
	nx_uint16_t counter;
	nx_uint16_t accelx;
	nx_uint16_t accely;
} data_msg_t;


typedef nx_struct serialdata_msg {
	nx_uint16_t id;
	nx_uint16_t counter;
	nx_uint16_t accelx;
	nx_uint16_t accely;
	nx_uint16_t rssi;
} serialdata_msg_t;

#endif



